MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022853Open CASCADE[OCCT] OCCT:VISpublic2011-12-16 13:092014-11-11 12:58
Reportersan 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0022853: Unification of IVtk_ICamera API
DescriptionIVtk_ICamera interface contains some methods that return several numeric values as out arguments, using C++ references. And there are few methods that return values as double*. It is proposed to unify the method signatures and use the same approach whenever possible.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024904closedbugmaster Visualization - Integration of VIS component 

-  Notes
(0018890)
rkv (developer)
2011-12-16 16:23

Two methods signatures are fixed:
void getScale(double& x, double& y, double& z) const;
void getViewCenter(double& x, double& y) const;
(0021264)
san (developer)
2012-08-18 14:37

IVTk_ICamera renamed to IVTk_IView.
The issue has been corrected and should be closed, no testing is required.

- Issue History
Date Modified Username Field Change
2011-12-16 13:09 san New Issue
2011-12-16 13:09 san Assigned To => rkv
2011-12-16 13:09 san Status new => assigned
2011-12-16 16:23 rkv Note Added: 0018890
2011-12-16 16:23 rkv Status assigned => resolved
2011-12-26 07:39 abv Project Open CASCADE => Internal
2012-05-12 17:37 mkv Assigned To rkv => san
2012-08-18 14:37 san Note Added: 0021264
2012-08-18 14:37 san Assigned To san => bugmaster
2012-08-18 14:37 san Status resolved => reviewed
2014-09-18 09:50 abv Target Version => 6.8.0
2014-09-18 09:58 abv Category PRODUCTS:VIS => OCCT:VIS
2014-09-18 10:39 bugmaster Project Internal => Open CASCADE
2014-09-22 11:35 apn Test case number => Not needed
2014-09-22 11:35 apn Assigned To bugmaster => san
2014-09-22 11:35 apn Status reviewed => closed
2014-09-22 11:35 apn Resolution open => fixed
2014-09-22 13:10 apn Assigned To san => bugmaster
2014-09-22 13:10 apn Status closed => feedback
2014-09-22 13:10 apn Status feedback => tested
2014-09-22 13:10 apn Status tested => verified
2014-09-22 13:10 apn Relationship added related to 0024904
2014-11-11 12:45 aiv Fixed in Version => 6.8.0
2014-11-11 12:58 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker